import { defineComponent as s, mergeModels as m, useModel as p, watch as f, createElementBlock as d, createCommentVNode as _, openBlock as b, createVNode as a, unref as t } from "vue";
import { useI18n as g } from "vue-i18n";
import { k as y, d as C, o as v } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
import { p as x } from "./PricingController-CCrwzhY9.js";
const w = {
  key: 0,
  class: "extension-config d-flex flex-wrap align-center"
}, c = /* @__PURE__ */ s({
  __name: "LowestPriceConfiguration",
  props: /* @__PURE__ */ m({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(o) {
    const e = p(o, "modelValue"), { t: n } = g();
    return f(
      e,
      (l) => {
        l || (e.value = { currency: "", lifetime: "" });
      },
      { immediate: !0 }
    ), (l, i) => e.value ? (b(), d("div", w, [
      a(t(y), {
        data: t(x).listCurrencies,
        text: e.value.currency,
        label: t(n)("pim.etl.LowestPriceConfiguration.currency"),
        "item-title": "currency",
        "item-value": "currency",
        block: "",
        "prepend-text": "",
        select: "",
        "page-size": "",
        onChange: i[0] || (i[0] = (r) => e.value.currency = r.currency)
      }, null, 8, ["data", "text", "label"]),
      a(t(C), {
        modelValue: e.value.lifetime,
        "onUpdate:modelValue": i[1] || (i[1] = (r) => e.value.lifetime = r),
        label: t(n)("pim.etl.LowestPriceConfiguration.lifetime"),
        "persistent-placeholder": ""
      }, null, 8, ["modelValue", "label"])
    ])) : _("", !0);
  }
});
function u(o) {
  const e = o;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        pim: {
          etl: {
            LowestPriceConfiguration: {
              currency: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Currency" } },
              lifetime: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Lifetime in days" } }
            }
          }
        }
      },
      "de-DE": {
        pim: {
          etl: {
            LowestPriceConfiguration: {
              currency: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Währung" } },
              lifetime: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Speicherdauer in Tagen" } }
            }
          }
        }
      }
    }
  });
}
typeof u == "function" && u(c);
const A = /* @__PURE__ */ v(c, [["__scopeId", "data-v-1383aeb9"]]);
export {
  A as default
};
